#!/bin/bash

## Delete the STDOUT and STDERR files (.o and .e) if they are empty
##  ( we do not want to delete non-empty files, they may contain useful
##    troubleshooting or debug information ... )
##

## input args:
#	1: $pe_hostfile
#	2: $host
#	3: $job_owner
#	4: $job_id
#	5: $job_name
#	6: $pe
#	7: $pe_slots
#	8: $queue
#	9: $stdout_path
#	10: $stderr_path
#	11: $merge_stderr

stdout_path=${9}
stderr_path=${10}

[ -r ${stdout_path} -a -f ${stdout_path} ] && [ ! -s ${stdout_path} ] && rm -f ${stdout_path}
[ -r ${stderr_path} -a -f ${stderr_path} ] && [ ! -s ${stderr_path} ] && rm -f ${stderr_path}

exit 0

